Package com.trilead.ssh2.crypto.cipher

# Class BlockCipherFactory

java.lang.Object
com.trilead.ssh2.crypto.cipher.BlockCipherFactory

public class BlockCipherFactory extends Object
BlockCipherFactory.

## Constructor Summary

Constructors
Constructor
Description
`BlockCipherFactory()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`checkCipherList(String[] cipherCandidates)`
`static BlockCipher`
`createCipher(String type, boolean encrypt, byte[] key, byte[] iv)`
`static int`
`getBlockSize(String type)`
`static String[]`
`getDefaultCipherList()`
`static int`
`getKeySize(String type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BlockCipherFactory

public BlockCipherFactory()

## Method Details

### getDefaultCipherList

public static String[] getDefaultCipherList()

### checkCipherList

public static void checkCipherList(String[] cipherCandidates)

### createCipher

public static BlockCipher createCipher(String type, boolean encrypt, byte[] key, byte[] iv)

### getBlockSize

public static int getBlockSize(String type)

### getKeySize

public static int getKeySize(String type)